//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of CPCtelera: An Amstrad CPC Game Engine
//  Copyright (C) 2015 ronaldo / Fremos / Cheesetea / ByteRealms (@FranGallegoBR)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#define SCR_VMEM (u8*) 0xC000

void wait(){

  u16 j;                                             
       
  for(j = 0; j < 500; j++);
     
}

   const u8 sprite[12] = {
      0xF0, 0xF0,
      0xF7, 0xFE,
      0xC7, 0x3E,
      0xC7, 0x3E,
      0xC4, 0x32,
      0xF0, 0xF0
   };
   
   //Indicador de si los controles están invertidos o no.
   //Su valor puede ser 0 (controles normales) o 1 (controles invertidos).
   u8 controls = 1;

void main2(void) {
   //u8* video_memory_start  = (u8*)0xC000;
   //u8  character_line_size = 0x050;
   
   u8* videoPtr[2], *oldVideoPtr[2];
   
      //Ancho y alto del sprite
   const u8 SPR_WIDTH = 2;
   const u8 SPR_HEIGHT = 6;
   
   //Ancho y alto de la pantalla
   const u8 SCR_WIDTH = 80;
   const u8 SCR_HEIGHT = 200;
   
   u8 x = SCR_WIDTH / 4, y = SCR_HEIGHT / 4;
   
   const u8 X_PHASE = SCR_WIDTH / 2; //Desplazamiento sobre el eje X del sprite duplicado
   
   // Clear Screen
   cpct_disableFirmware();
   cpct_setVideoMode(1);
   cpct_clearScreen_f64(0);
   
   // Primera coordenada € [0, 77]
   // Segunda coordenada € [0, ]
   
   videoPtr[0] = cpct_getScreenPtr(SCR_VMEM, SCR_WIDTH/2, 0);
   cpct_drawSolidBox(videoPtr[0], 3, 1, SCR_HEIGHT);
   
   videoPtr[0] = cpct_getScreenPtr(SCR_VMEM, 0, SCR_HEIGHT / 2);
   cpct_drawSolidBox(videoPtr[0], 3, SCR_WIDTH / 2, 2);
   videoPtr[0] = cpct_getScreenPtr(SCR_VMEM, SCR_WIDTH / 2, SCR_HEIGHT / 2);
   cpct_drawSolidBox(videoPtr[0], 3, SCR_WIDTH / 2, 2);
   
   oldVideoPtr[0] = cpct_getScreenPtr(SCR_VMEM, 0, 0);
   oldVideoPtr[1] = cpct_getScreenPtr(SCR_VMEM, X_PHASE, 0);
   
   while(1){
   
       cpct_scanKeyboard_f();
       if(cpct_isKeyPressed(Key_M)) controls = 1 - controls; //La tecla M invierte los controles
       
       cpct_scanKeyboard_f();
       if(!controls){
       	  if      (cpct_isKeyPressed(Key_CursorRight) && x < SCR_WIDTH / 2 - SPR_WIDTH) x++; 
       	  else if (cpct_isKeyPressed(Key_CursorLeft)  && x > 0              ) x--; 
       	  if      (cpct_isKeyPressed(Key_CursorUp)    && y > 0              ) y--;
       	  else if (cpct_isKeyPressed(Key_CursorDown)  && y < (SCR_HEIGHT / 2 - SPR_HEIGHT)) y++;
       }
       else{
       	  if      (cpct_isKeyPressed(Key_CursorRight) && x > 0) x--; 
       	  else if (cpct_isKeyPressed(Key_CursorLeft) && x < SCR_WIDTH / 2 - SPR_WIDTH) x++; 
       	  if      (cpct_isKeyPressed(Key_CursorUp)  && y < (SCR_HEIGHT / 2 - SPR_HEIGHT)) y++;
       	  else if (cpct_isKeyPressed(Key_CursorDown) && y > 0) y--;
       }
   
       videoPtr[0] = cpct_getScreenPtr(SCR_VMEM, x, y);
       videoPtr[1] = cpct_getScreenPtr(SCR_VMEM, x + X_PHASE, y);
       
       /*Si los punteros no van a la misma dirección, el sprite se ha movido y hay que borrar su rastro*/
       if(oldVideoPtr != videoPtr){ 
     
         cpct_drawSolidBox(oldVideoPtr[0], 0, SPR_WIDTH, SPR_HEIGHT);
         cpct_drawSolidBox(oldVideoPtr[1], 0, SPR_WIDTH, SPR_HEIGHT);
       
       }
       
       cpct_drawSprite(sprite, videoPtr[0], SPR_WIDTH, SPR_HEIGHT);
       cpct_drawSprite(sprite, videoPtr[1], SPR_WIDTH, SPR_HEIGHT);
       
       oldVideoPtr[0] = videoPtr[0];
       oldVideoPtr[1] = videoPtr[1];
       wait();
   
   }
                     
}
