

#include <stdio.h>
#include <time.h>
#include <stdlib.h>


// Map size in tiles.
#define MAP_WIDTH 10
#define MAP_HEIGHT 21

// Kind of tiles.
#define TILE_WALL 1
#define TILE_VOID 0


int map_right[MAP_WIDTH * MAP_HEIGHT];
int map_left[MAP_WIDTH * MAP_HEIGHT];


void generateMap(int* map)
{
	int i;
	int fillProb = 30;
	int r1Cutoff = 5;
	int map_aux[MAP_WIDTH * MAP_HEIGHT];

	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
		if ((i / MAP_WIDTH == 0 || i / MAP_WIDTH == MAP_HEIGHT - 1
			|| i % MAP_WIDTH == 0 || i % MAP_WIDTH == MAP_WIDTH - 1))
			map[i] = TILE_WALL;
		else
			map[i] = (rand() % 100 < fillProb) ? TILE_WALL: TILE_VOID;
 
	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
 	{
 		int r1 = 0;

 		if (i / MAP_WIDTH == 0 || i / MAP_WIDTH == MAP_HEIGHT - 1
			|| i % MAP_WIDTH == 0 || i % MAP_WIDTH == MAP_WIDTH - 1)
 		{
 			continue;
 		}
 
 		r1 = map[i - MAP_WIDTH - 1] + map[i - MAP_WIDTH] + map[i - MAP_WIDTH + 1] +
 			 map[i - 1] + map[i] + map[i + 1] +
 			 map[i + MAP_WIDTH - 1] + map[i + MAP_WIDTH] + map[i + MAP_WIDTH + 1];

 		map_aux[i] = (r1 >= r1Cutoff) ? TILE_WALL: TILE_VOID;
 	}
 	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
 	{
 		if (i / MAP_WIDTH == 0 || i / MAP_WIDTH == MAP_HEIGHT - 1
			|| i % MAP_WIDTH == 0 || i % MAP_WIDTH == MAP_WIDTH - 1)
 		{
 			continue;
 		}

 		map[i] = map_aux[i];
 	}
}

int main()
{
	int i;
	srand(time(NULL));
	generateMap(map_right);

	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
	{
		if (i % MAP_WIDTH == 0)
		{
			printf("\n");
		}

		if (map_right[i] == TILE_WALL)
			printf("#");
		else
			printf(" ");
	}
}
