
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "arktro.h"


#define STATE_ATTACK 0
#define STATE_SEARCH 1
#define STATE_WALK   2


const u8* const g_tile_down[2] = { 
	g_tile_arktro_d0,
	g_tile_arktro_d1
};
const u8* const g_tile_up[2] = { 
	g_tile_arktro_u0,
	g_tile_arktro_u1
};
const u8* const g_tile_right[2] = { 
	g_tile_arktro_r0,
	g_tile_arktro_r1
};
const u8* const g_tile_left[2] = { 
	g_tile_arktro_l0,
	g_tile_arktro_l1
};

// Tile g_tile_0: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_d0[32] = {
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x99, 0x66, 0x78,
	0xb4, 0x33, 0x33, 0x78,
	0x78, 0x3c, 0x3c, 0xf0,
	0x3c, 0x33, 0x33, 0x3c,
	0xf0, 0xb1, 0x72, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_1: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_r0[32] = {
	0xf0, 0x78, 0xf0, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x39, 0x99, 0x72,
	0xf0, 0x39, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x36, 0x72, 0xf0,
	0xf0, 0x33, 0x72, 0xf0,
	0xb4, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_2: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_u0[32] = {
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0x78, 0x3c, 0x3c, 0xf0,
	0x3c, 0x72, 0x33, 0x3c,
	0xf0, 0x33, 0xb1, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_3: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_l0[32] = {
	0xf0, 0xf0, 0xb4, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xb1, 0x66, 0x36, 0xf0,
	0xf0, 0x33, 0x36, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0xb1, 0x39, 0xf0,
	0xf0, 0xb1, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0x78
};

// Tile g_tile_4: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_d1[32] = {
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x99, 0x66, 0x78,
	0xb4, 0x33, 0x33, 0x78,
	0xf0, 0x3c, 0x3c, 0xb4,
	0x3c, 0x33, 0x33, 0x3c,
	0xf0, 0xb1, 0x72, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_5: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_r1[32] = {
	0xf0, 0x78, 0xf0, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x39, 0x99, 0x72,
	0xf0, 0x39, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0x36, 0x78, 0xf0,
	0xf0, 0x33, 0x72, 0xf0,
	0xb4, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_6: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_u1[32] = {
	0xf0, 0x78, 0xb4, 0xf0,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0xb4, 0x3c, 0x3c, 0x78,
	0xf0, 0x3c, 0x3c, 0xb4,
	0x3c, 0x33, 0x33, 0x3c,
	0xf0, 0x72, 0xb1, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0
};

// Tile g_tile_7: 8x8 pixels, 4x8 bytes.
const u8 g_tile_arktro_l1[32] = {
	0xf0, 0xf0, 0xb4, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xb1, 0x66, 0x36, 0xf0,
	0xf0, 0x33, 0x36, 0xf0,
	0xf0, 0x3c, 0x3c, 0xf0,
	0xf0, 0xb4, 0x39, 0xf0,
	0xf0, 0xb1, 0x33, 0xf0,
	0xf0, 0x3c, 0x3c, 0x78
};


void initArktro(TEnemy *arktro)
{
	arktro->type = TYPE_ARKTRO;
	arktro->map = cpct_getRandomUniform_u8_f(frame) % 2;
	arktro->x = arktro->map * 80 + 
			(cpct_getRandomUniform_u8_f(frame) % 8 + 1) * 8;
	arktro->y = (cpct_getRandomUniform_u8_f(frame) % 8 + 5) * 8;
	arktro->ox = arktro->x;
	arktro->oy = arktro->y;
	arktro->sx = ARKTRO_SPEED;
	arktro->sy = ARKTRO_SPEED;
	arktro->life = ARKTRO_LIFE;
	arktro->pvideo = cpct_getScreenPtr(SCR_VMEM, arktro->x / 2, arktro->y);
	arktro->update = updateArktro;
	arktro->state = STATE_SEARCH;
}

void stateWalk(TEnemy *arktro)
{
	moveEnemyToOXOY(arktro);

	if (arktro->x == arktro->ox && arktro->y == arktro->oy)
	{
		arktro->state = STATE_SEARCH;
	}

	cpct_drawSolidBox(arktro->pvideo, 0xf0, TILE_WIDTH / 2, TILE_HEIGHT);
	arktro->pvideo = cpct_getScreenPtr(SCR_VMEM, arktro->x / 2, arktro->y);
	cpct_drawSprite(g_tile_arktro_r0, arktro->pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
}

void stateSearch(TEnemy *arktro)
{
	if (manhattan(arktro->x, arktro->y, player.x[arktro->map], player.y[arktro->map]) <= 12)
	{
		arktro->state = STATE_ATTACK;
	}
	else
	{
		arktro->state = STATE_WALK;
	}

	planMoveTo(arktro, player.x[arktro->map], player.y[arktro->map]);

	if (arktro->x != arktro->ox || arktro->y != arktro->oy)
	{
		arktro->auxX = player.x[arktro->map];
		arktro->auxY = player.y[arktro->map];
	}
	else
	{
		planMoveTo(arktro, arktro->auxX, arktro->auxY);
	}
}

void stateAttack(TEnemy *arktro)
{
	removeLife(1);
	arktro->state = STATE_SEARCH;

	cpct_drawSprite(g_tile_arktro_r0, arktro->pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
}

void updateArktro(TEnemy *arktro)
{
	switch (arktro->state)
	{
		case STATE_ATTACK:
			stateAttack(arktro);
			break;
		case STATE_SEARCH:
			stateSearch(arktro);
			break;
		case STATE_WALK:
			stateWalk(arktro);
			break;
	}
}
