
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef _ENEMY_H_
#define _ENEMY_H_


#include <cpctelera.h>

#include "../utils.h"


#define MAX_ENEMIES   4

#define N_TYPES       1

#define TYPE_NONE     0
#define TYPE_ARKTRO   1
#define TYPE_SPANIARD 2
#define TYPE_SHIFTER  3

#define SCORE_KILL_ENEMY 40


typedef struct TEnemy TEnemy;

struct TEnemy {
	u8 type;
	i8 life;
	u8 state;
	u8 orientation;
	u8 x, ox, auxX;
	u8 y, oy, auxY;
	i8 sx, sy;
	u8 map;
	u8* pvideo;
	u16 timeChanged;
	void* sprite;
	void (*update) (TEnemy *e);
};


extern TEnemy enemies[MAX_ENEMIES];


void createRandomEnemy(TEnemy *e);
void initRandomEnemies(u8 nEnemies);
void moveEnemyToOXOY(TEnemy *e);
void planMoveTo(TEnemy *e, i16 ox, i16 oy);


#endif
