
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "flux.h"
#include "plutonium.h"
#include "../utils.h"
#include "../scenes/game.h"


const u8 g_flux[32] = { 
	0x9D, 0xF0, 0xF0, 0x6E, 
	0x3F, 0x20, 0x10, 0x3F, 
	0xB0, 0x20, 0x10, 0x70, 
	0xB0, 0x30, 0x30, 0x70, 
	0xA0, 0x10, 0x20, 0x50, 
	0xA0, 0x10, 0x20, 0x50, 
	0xA0, 0x15, 0x2A, 0x50, 
	0xF0, 0xE4, 0xD8, 0xF0
};

TFlux flux;


void initFlux()
{
	flux.map = (plutonium.map + 1) % 2;
	flux.x = flux.map * 80 + 
			(cpct_getRandomUniform_u8_f(frame) % 8 + 1) * 8;
	// Random y
	//flux.y = (cpct_getRandomUniform_u8_f(frame) % 19 + 1) * 8;
	flux.y = 8;
	flux.plutonium = 0;
	flux.catched=0;
	flux.life = FLUX_DEFAULT_LIFE + level / 5;
	flux.pvideo = cpct_getScreenPtr(SCR_VMEM, flux.x / 2, flux.y);
	flux.fullPlutonium = 1 + level / 2;
	cpct_drawSprite(g_flux, flux.pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
}

void catchedFlux()
{
	//cpct_drawSprite(g_plutonium, VMEM_PLUTONIUM, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
	cpct_drawSolidBox(flux.pvideo, 0xf0, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
}
