
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef _GUN_H_
#define _GUN_H_


#include <cpctelera.h>


#define N_BULLETS 3

#define FRAMES_DELAY_TOGGLE 20
#define FRAMES_DELAY_SHOT 20

#define VMEM_RIGHT_GUN (u8*) 0xCE91
#define VMEM_LEFT_GUN (u8*) 0xCEDB

#define BULLET_SPEED 4
#define BULLET_DAMAGE 1


typedef struct {
    i16 x, y;
    i8 sx, sy;
    u8 map;
    u8 orientation;
    u8* pvideo;
    u8 damage;
    u8 exists;
} TBullet;


extern TBullet bullet1;
extern TBullet bullet2;


extern u8 gunDimension;
extern u8 bulletSpeed;


extern const u8 g_gun[32];
extern const u8 g_bullet[8];


void initBullet(TBullet *b);
void createBullet(TBullet *const b, const u8 orientation, const u8 dimension, const u8 x, const u8 y, u16 *const timeChanged);
void updateBullet(TBullet *b);
void toggleGun();
void paintGun();


#endif
