
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "map.h"
#include "../scenes/game.h"
#include "big_tile.h"


u8 map_right[MAP_WIDTH * MAP_HEIGHT];
u8 map_left[MAP_WIDTH * MAP_HEIGHT];


void generateMap(u8* map)
{
	u8 i;
	u8 fillProb = (cpct_getRandomUniform_u8_f(frame*frame) % 10) + 80;
	u8 r1Cutoff = 5;
	u8 map_aux[MAP_WIDTH * MAP_HEIGHT];

	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
		if ((i / MAP_WIDTH == 0 || i / MAP_WIDTH == MAP_HEIGHT - 1
			|| i % MAP_WIDTH == 0 || i % MAP_WIDTH == MAP_WIDTH - 1))
			map[i] = TILE_WALL;
		else
			map[i] = (cpct_getRandomUniform_u8_f(frame*frame) < fillProb) ? TILE_WALL: TILE_VOID;
 
	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
 	{
 		int r1 = 0;

 		if (i / MAP_WIDTH == 0 || i / MAP_WIDTH == MAP_HEIGHT - 1
			|| i % MAP_WIDTH == 0 || i % MAP_WIDTH == MAP_WIDTH - 1)
 		{
 			continue;
 		}
 
 		r1 = map[i - MAP_WIDTH - 1] + map[i - MAP_WIDTH] + map[i - MAP_WIDTH + 1] +
 			 map[i - 1] + map[i] + map[i + 1] +
 			 map[i + MAP_WIDTH - 1] + map[i + MAP_WIDTH] + map[i + MAP_WIDTH + 1];

 		map_aux[i] = (r1 >= r1Cutoff) ? TILE_WALL: TILE_VOID;
 	}
 	for (i = 0; i < MAP_WIDTH * MAP_HEIGHT; ++i)
 	{
 		if (i / MAP_WIDTH == 0 || i / MAP_WIDTH == MAP_HEIGHT - 1
			|| i % MAP_WIDTH == 0 || i % MAP_WIDTH == MAP_WIDTH - 1)
 		{
 			continue;
 		}

 		map[i] = map_aux[i];
 	}
}


void drawMap(u8* init_pvideo, u8* map)
{
	u8* pvideo;
	u8 x, y;

	for (y = 0; y < MAP_HEIGHT; ++y)
	{
		for (x = 0; x < MAP_WIDTH; ++x)
		{
			u8 n = map[y * MAP_WIDTH + x];
			switch (n)
			{
				case TILE_WALL:
					pvideo = cpct_getScreenPtr(init_pvideo, x * TILE_WIDTH / 2, y * TILE_HEIGHT);
					cpct_drawSprite(g_tile_big_tile_8, pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
					break;
			}
		}
	}
}
