

// Data created with Img2CPC - (c) Retroworks - 2007-2015


//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef _MASFLY_H_
#define _MASFLY_H_


#include <types.h>


//Size of player sprite animation tilesets
#define PLAYER_HORIZ_ANIM 2
#define PLAYER_VERT_ANIM 3
#define PLAYER_LIFE 10
#define LIFE_VMEM (u8*) 0xFF5D


typedef struct {
	i16 x[2];
	i16 y[2];
	const u8* players[2];
	const void* spr;
	const u8** frameSet;
	u8 framesInSet;
	u8 frameCounter;
	u8 orientation;
	u16 score;
	u8 life;
	u16 timeShot;
} TPlayer;

extern TPlayer player;

extern const u8 sx;
extern const u8 sy;


void initPlayer();
void DrawAllLife();
void putLife(u8 lifes);
void removeLife(u8 lifes);


extern const u8* const tileset_masfly_up[3];
extern const u8* const tileset_masfly_down[3];
extern const u8* const tileset_masfly_left[2];
extern const u8* const tileset_masfly_right[2];

extern const u8 tile_masfly_r_s[32];
extern const u8 tile_masfly_r_m[32];
extern const u8 tile_masfly_u_s[32];
extern const u8 tile_masfly_u_m1[32];
extern const u8 tile_masfly_u_m2[32];
extern const u8 tile_masfly_d_r[32];
extern const u8 tile_masfly_l_s[32];
extern const u8 tile_masfly_l_m[32];
extern const u8 tile_masfly_d_s[32];
extern const u8 tile_masfly_d_m1[32];
extern const u8 tile_masfly_d_m2[32];
extern const u8 tile_masfly_d_l[32];

#endif
