
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "medpack.h"
#include "../utils.h"
#include "../scenes/game.h"
#include "../entities/masfly.h"


const u8 g_medpack[32] = { 
	0x00, 0x30, 0x30, 0x00, 
	0x10, 0x64, 0x98, 0x20, 
	0x30, 0x64, 0x98, 0x30, 
	0x64, 0xCC, 0xCC, 0x98, 
	0x64, 0xCC, 0xCC, 0x98, 
	0x30, 0x64, 0x98, 0x30, 
	0x10, 0x64, 0x98, 0x20, 
	0x00, 0x30, 0x30, 0x00
};

TMedPack medpack;


void initMedPack()
{
	medpack.map = cpct_getRandomUniform_u8_f(frame) % 2;
	medpack.x = medpack.map * 80 + 
			(cpct_getRandomUniform_u8_f(frame) % 8 + 1) * 8;
	medpack.y = (cpct_getRandomUniform_u8_f(frame) % 19 + 1) * 8;
	medpack.life = MEDPACK_DEFAULT_LIFE;
	medpack.catched=0;
	medpack.pvideo = cpct_getScreenPtr(SCR_VMEM, medpack.x / 2, medpack.y);
	cpct_drawSprite(g_medpack, medpack.pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
}

void catchedMedPack()
{
	cpct_drawSolidBox(medpack.pvideo, 0xf0, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
	if (medpack.catched==1)
	{
		
		putLife(MEDPACK_CURE);
		
	}

}

