//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "flux.h"
#include "plutonium.h"
#include "medpack.h"
#include "spaniard.h"
#include "masfly.h"
#include "gun.h"
#include <stdlib.h>
#include "../utils.h"
#include "../scenes/game.h"


/*const u8 g_spaniard[32] = { 
	0x9D, 0xF0, 0xF0, 0x6E, 
	0x3F, 0x20, 0x10, 0x3F, 
	0xB0, 0x20, 0x10, 0x70, 
	0xB0, 0x30, 0x30, 0x70, 
	0xA0, 0x10, 0x20, 0x50, 
	0xA0, 0x10, 0x20, 0x50, 
	0xA0, 0x15, 0x2A, 0x50, 
	0xF0, 0xE4, 0xD8, 0xF0
};*/

void initSpaniard(TEnemy *spaniard)
{
	spaniard->type = TYPE_SPANIARD;
	spaniard->map = (plutonium.map) % 2;
	spaniard->x = spaniard->map * 80 + 
			(cpct_getRandomUniform_u8_f(frame) % 8 + 1) * 8;
	spaniard->y = (cpct_getRandomUniform_u8_f(frame) % 19 + 1) * 8;

	spaniard->ox=spaniard->x;
	spaniard->oy=spaniard->y;

	spaniard->sx = SPANIARD_SPEED;
	spaniard->sy = SPANIARD_SPEED;
	
	spaniard->life = SPANIARD_DEFAULT_LIFE;
	spaniard->pvideo = cpct_getScreenPtr(SCR_VMEM, spaniard->x / 2, spaniard->y);
	spaniard->update = updateSpaniard;
	//cpct_drawSprite(g_spaniard, spaniard.pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
	cpct_drawSolidBox(spaniard->pvideo, 0x20, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
}

void updateSpaniard(TEnemy *spaniard)
{
	u8 auxx,auxy;

	if (spaniard->x == spaniard->ox && spaniard->y == spaniard->oy)
	{

		if (manhattan(spaniard->x,bullet1.x,spaniard->y,bullet1.y) < 80 ||
			manhattan(spaniard->x,bullet2.x,spaniard->y,bullet2.y) < 80 && (bullet1.exists || bullet2.exists)) //Bala cercana y en tu direccion
		{

			if(manhattan(spaniard->x,bullet1.x,spaniard->y,bullet1.y) < 
				manhattan(spaniard->x,bullet2.x,spaniard->y,bullet2.y) && bullet1.exists)
			{//Bullet1

				if (abs(bullet1.x - spaniard->x) <= 9)
				{
					//RIGHT
					if (!collision(spaniard->x + 7 + 8, spaniard->y) &&
	            		!collision(spaniard->x + 7 + 8, spaniard->y + 2) &&
	            		!collision(spaniard->x + 7 + 8, spaniard->y + 4) &&
	            		!collision(spaniard->x + 7 + 8, spaniard->y + 6))
	            	{
	            		spaniard->ox = spaniard->x+8;
	            	}
	            	//LEFT
	            	else if(!collision(spaniard->x - 8, spaniard->y) &&
	            			!collision(spaniard->x - 8, spaniard->y + 2) &&
	            			!collision(spaniard->x - 8, spaniard->y + 2) &&
	            			!collision(spaniard->x - 8, spaniard->y + 2))
	            	{
	            		spaniard->ox=spaniard->x-8;
	            	}				
									
				}
					
				if (abs(bullet1.x - spaniard->x) <= 9)
				{
					
					//DOWN
					if (!collision(spaniard->x    , spaniard->y + 7 + 8) &&
	            		!collision(spaniard->x + 2, spaniard->y + 7 + 8) &&
	            		!collision(spaniard->x + 4, spaniard->y + 7 + 8) &&
	            		!collision(spaniard->x + 6, spaniard->y + 7 + 8))
	            	{
	            		spaniard->oy = spaniard->y+8;
	            	}
	            	//UP
	            	else if(!collision(spaniard->x    , spaniard->y - 8) &&
	            			!collision(spaniard->x + 2, spaniard->y - 8) &&
	            			!collision(spaniard->x + 4, spaniard->y - 8) &&
	            			!collision(spaniard->x + 6, spaniard->y - 8))
	            	{
	            		spaniard->oy=spaniard->y-8;
	            	}				
									
				}
						
			}
			else if (bullet2.exists)//Bullet2
			{
				if (abs(bullet2.x - spaniard->x) <= 9)
				{
					//RIGHT
					if (!collision(spaniard->x + 7 + 8, spaniard->y) &&
	            		!collision(spaniard->x + 7 + 8, spaniard->y + 2) &&
	            		!collision(spaniard->x + 7 + 8, spaniard->y + 4) &&
	            		!collision(spaniard->x + 7 + 8, spaniard->y + 6))
	            	{
	            		spaniard->ox = spaniard->x+8;
	            	}
	            	//LEFT
	            	else if(!collision(spaniard->x - 8, spaniard->y + 2) &&
	            			!collision(spaniard->x - 8, spaniard->y + 2) &&
	            			!collision(spaniard->x - 8, spaniard->y + 2) &&
	            			!collision(spaniard->x - 8, spaniard->y + 2))
	            	{
	            		spaniard->ox=spaniard->x-8;
	            	}				
									
				}
					
				if (abs(bullet2.x - spaniard->x) <= 9)
				{
					
					//DOWN
					if (!collision(spaniard->x    , spaniard->y + 7 + 8) &&
	            		!collision(spaniard->x + 2, spaniard->y + 7 + 8) &&
	            		!collision(spaniard->x + 4, spaniard->y + 7 + 8) &&
	            		!collision(spaniard->x + 6, spaniard->y + 7 + 8))
	            	{
	            		spaniard->oy = spaniard->y+8;
	            	}
	            	//UP
	            	else if(!collision(spaniard->x    , spaniard->y - 8) &&
	            			!collision(spaniard->x + 2, spaniard->y - 8) &&
	            			!collision(spaniard->x + 4, spaniard->y - 8) &&
	            			!collision(spaniard->x + 6, spaniard->y - 8))
	            	{
	            		spaniard->oy=spaniard->y-8;
	            	}				
									
				}
			}		
		}
		else
		{
			if (abs(spaniard->x - player.x[spaniard->map]) <=40 && 
				abs(spaniard->y - player.y[spaniard->map]) <=40 
				 /*manhattanXY(spaniard->x,player.x[spaniard->map],spaniard->y,player.y[spaniard->map])<10*/)//Enemigo cerca
			{/*
				auxx=1;
				auxy=1;

				if(player.x[spaniard->map] > spaniard->x)
				{
					if(player.y[spaniard->map]  > spaniard->y)
					{
						
						while(manhattanXY(spaniard->x,spaniard->x-auxx,spaniard->y,spaniard->y-auxy)>100)
						{
							auxx--;
							auxy--;
						}

						planMoveTo(spaniard, spaniard->x - auxx,spaniard->y - auxy);
					}
					else
					{
						while(manhattanXY(spaniard->x,spaniard->x-auxx,spaniard->y,spaniard->y+auxy)>100)
						{
							auxx--;
							auxy--;
						}

						planMoveTo(spaniard, spaniard->x - auxx,spaniard->y + auxy);
					}
				}
				else
				{
					if(player.y[spaniard->map] > spaniard->y)
					{
						while(manhattanXY(spaniard->x,spaniard->x+auxx,spaniard->y,spaniard->y-auxy)>100)
						{
							auxx--;
							auxy--;
						}

						planMoveTo(spaniard, spaniard->x + auxx,spaniard->y - auxy);
					}
					else
					{

						while(manhattanXY(spaniard->x,spaniard->x+auxx,spaniard->y,spaniard->y+auxy)>100)
						{
							auxx--;
							auxy--;
						}

						planMoveTo(spaniard, spaniard->x + auxx,spaniard->y + auxy);
					}*/
				

				//Huir
				if(player.x[spaniard->map]>spaniard->x &&
					!collision(spaniard->x - sx, spaniard->y + 2) &&
	            	!collision(spaniard->x - sx, spaniard->y + 2) &&
	            	!collision(spaniard->x - sx, spaniard->y + 2) &&
	            	!collision(spaniard->x - sx, spaniard->y + 2))
				{

					if(player.y[spaniard->map]>spaniard->y &&
						!collision(spaniard->x    , spaniard->y - sx) &&
	            		!collision(spaniard->x + 2, spaniard->y - sx) &&
	            		!collision(spaniard->x + 4, spaniard->y - sx) &&
	            		!collision(spaniard->x + 6, spaniard->y - sx))
					{
						planMoveTo(spaniard, spaniard->x - sx,spaniard->y - sx);
					}
					else
					{
						planMoveTo(spaniard, spaniard->x - sx,spaniard->y + sx);
					}

				}
				else
				{
					if(player.y[spaniard->map]>spaniard->y &&
						!collision(spaniard->x    , spaniard->y - sx) &&
	            		!collision(spaniard->x + 2, spaniard->y - sx) &&
	            		!collision(spaniard->x + 4, spaniard->y - sx) &&
	            		!collision(spaniard->x + 6, spaniard->y - sx))
					{
						planMoveTo(spaniard, spaniard->x + sx,spaniard->y - sx);
					}
					else
					{
						planMoveTo(spaniard, spaniard->x + sx,spaniard->y + sx);
					}
				}

				
			}
			else // Va a por objetos
			{
				if (abs(spaniard->x - flux.x)<=8 && 
					abs(spaniard->y - flux.y)<=8 && 
					!flux.catched) //Al lado de objeto
				{
					//Coge flux
					flux.catched=2;
					catchedFlux();

				}
				else if (!plutonium.catched &&
					abs(plutonium.x - spaniard->x) <= 8  &&
					abs(plutonium.y - spaniard->y) <= 8) //Al lado de objeto
				{
					//Coge plutonium
					plutonium.catched=2;
					catchedPlutonium();
				}
				else if (abs(spaniard->x - medpack.x) <=8 && 
						abs(spaniard->y - medpack.y) <=8 && 
						!medpack.catched) 
				{
					//Coge botiquin
					medpack.catched=2;
					catchedMedPack();
				}
				else if (player.life<PLAYER_LIFE/2 &&  !medpack.catched && medpack.map==spaniard->map)
				{
					//Botiquin
					planMoveTo(spaniard, medpack.x,medpack.y);
				}
				else
				{
					if ((abs(spaniard->x - flux.x) - abs(spaniard->y - flux.y)) > 
						(abs(spaniard->x-plutonium.x) - abs(spaniard->y-plutonium.y)) && 
						!plutonium.catched && plutonium.map==spaniard->map)//Calcular el mas cercano flux o plutonio TODO
					{
						planMoveTo(spaniard, plutonium.x,plutonium.y);
					}
					else if (!flux.catched && flux.map==spaniard->map)
					{
						planMoveTo(spaniard, flux.x,flux.y);
					}
					else
					{
						//Huir o marear
					}
						
				}
			}
		}
	}
	else
	{


	//Se mueve

		cpct_drawSolidBox(spaniard->pvideo, 0xf0, TILE_WIDTH / 2, TILE_HEIGHT);
		
		moveEnemyToOXOY(spaniard);

		spaniard->pvideo = cpct_getScreenPtr(SCR_VMEM, spaniard->x / 2, spaniard->y);
		//cpct_drawSprite(g_tile_arktro_r0, spaniard.pvideo, TILE_WIDTH / 2, TILE_HEIGHT);
		cpct_drawSolidBox(spaniard->pvideo, 0x20, TILE_WIDTH / PIXELS_PER_BYTE, TILE_HEIGHT);
	}



}