
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include <cpctelera.h>

#include "scenes.h"
#include "../entities/gun.h"

const unsigned char G_title1[3000] = { 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 
	0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x00, 0x00, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0x14, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x28, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x3D, 
	0x3F, 0x3F, 0x3F, 0x00, 0x28, 0xF0, 0xF0, 0xF0, 0xA0, 0x15, 0x3F, 0x3F, 0x3F, 0x2A, 0x2A, 0x00, 
	0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xB4, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0xF0, 0x00, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xA0, 0x15, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 0xA0, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0x6C, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xB4, 0xCC, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x6C, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0x28, 0xF0, 0xF0, 0xB4, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x50, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0x15, 0xCC, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x9C, 0x50, 0xF0, 0x15, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xA0, 0xCC, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xB4, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0x44, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0x44, 0xCC, 0xCC, 0xCC, 0xCC, 0x3F, 0x3F, 0x3F, 
	0x6E, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xA0, 0xCC, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x9D, 0x00, 0x6E, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0x44, 0xCC, 0xCC, 0xCC, 0x9D, 0x00, 0x00, 0x00, 
	0x45, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xA0, 0x6E, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6C, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x9E, 0x6E, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0x15, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 
	0xA0, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0x44, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0x00, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 
	0xA0, 0xCE, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0x45, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xA0, 0xCE, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xF0, 
	0xF0, 0x6E, 0xCC, 0xCC, 0xCC, 0x7A, 0xF0, 0x15, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCE, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0x50, 0xF0, 0xF0, 
	0xF0, 0x45, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0xCD, 0xCE, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0x9D, 0xCC, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0x44, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 
	0xF0, 0x15, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6D, 0xCC, 0xCC, 0xCC, 0xCD, 0x3D, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0x9E, 0x6E, 0xCC, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0x45, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xF0, 
	0xF0, 0xA0, 0xCE, 0xCC, 0xCC, 0x9F, 0x50, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCC, 0xCC, 0xCC, 0xCD, 0x3E, 0x6F, 0xCC, 0xCC, 0xCC, 
	0xCD, 0x00, 0x45, 0xCC, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0x15, 0xCE, 0xCC, 0xCC, 0x8A, 0xF0, 0xF0, 
	0xF0, 0xA0, 0xCF, 0xCC, 0xCC, 0xCF, 0x50, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0x00, 0xCF, 0xCF, 0xCF, 
	0x9F, 0x50, 0x45, 0xCF, 0xCF, 0xCF, 0xCF, 0x2A, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0x9F, 0x50, 0xF0, 
	0xF0, 0xA0, 0x6F, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB4, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0xA0, 0x15, 0xCF, 0xCF, 
	0x8A, 0xF0, 0x15, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x00, 
	0x00, 0x00, 0x45, 0xCF, 0xCF, 0xCF, 0x2A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0xCF, 0x9F, 0x50, 0xA0, 0x6F, 0xCF, 
	0x78, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 0xA0, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0x00, 0x9F, 
	0x50, 0xF0, 0xA0, 0x6F, 0xCF, 0xCF, 0xCF, 0x9F, 0xF0, 0xF0, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6D, 0xCF, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0xF0, 0x28, 
	0xF0, 0xF0, 0xF0, 0x6F, 0xCF, 0xCF, 0xCF, 0x9F, 0x50, 0xF0, 0x45, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x9F, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCF, 0xCF, 0xCF, 0xCF, 0x2A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0x45, 0xCF, 0xCF, 0xCF, 0x9F, 0x50, 0xF0, 0x45, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x95, 0x50, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xC5, 0xCF, 0xCF, 0xCA, 0x2A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0x15, 0xC5, 0xCF, 0xCF, 0xC5, 0x50, 0xF0, 0x15, 0xC5, 0xCF, 0xCF, 0xCA, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xCA, 0xCA, 0xCA, 0x8A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0xC5, 0x3F, 
	0x3F, 0x3F, 0x3F, 0xCA, 0xC0, 0xC0, 0xC5, 0x50, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC5, 0x28, 
	0x00, 0x00, 0x00, 0x6A, 0xC0, 0xC0, 0xC0, 0x7A, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x50, 
	0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x2A, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x7A, 
	0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x2A, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x2A, 
	0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x8A, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x2A, 
	0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x8A, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x68, 0xC0, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0xC0, 0x2A, 
	0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0x80, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0xC0, 0x8A, 
	0xF0, 0xF0, 0xF0, 0xA0, 0xC0, 0xC0, 0xC0, 0x80, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x95, 0xF0, 0xF0, 0x40, 0xC0, 0xC5, 0xCF, 0x2A, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x3F, 0x3F, 0x3F, 0x2A, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0x3F, 0x3F, 0x3F, 0x3E, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x50, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x50, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0x3F, 0x3F, 0x3F, 0x00, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 
	0x3F, 0x6F, 0xCF, 0xC0, 0xCF, 0x3F, 0x50, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA0, 
	0x15, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x50, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x3F, 0x3F, 0x3F, 0x3F, 0xCF, 0xC0, 0xC0, 0x2A, 0xB5, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x2A, 0x15, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x2A, 0x45, 
	0xC0, 0x95, 0x00, 0x00, 0x6A, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB4, 0x3F, 0x3F, 0x6A, 0xC0, 0x95, 0x00, 0x00, 0x50, 0x45, 
	0xC0, 0x94, 0xF0, 0xA0, 0x6A, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0xC0, 0x95, 0x00, 
	0x00, 0x00, 0x45, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0xA0, 0x6A, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0x40, 
	0xC0, 0x80, 0xF0, 0xA0, 0x6A, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 
	0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0x40, 
	0xC0, 0x2A, 0xF0, 0xA0, 0x6A, 0xC0, 0x7A, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 
	0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x6A, 
	0xC0, 0x2A, 0xF0, 0xA0, 0xCA, 0xC0, 0x50, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 
	0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xA0, 0x6A, 
	0xC0, 0x2A, 0xF0, 0xA0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 
	0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0xA0, 0xCA, 
	0xC0, 0x50, 0xF0, 0xB5, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 
	0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0x50, 0xF0, 0xF0, 0xA0, 0xC0, 
	0xC5, 0x50, 0xF0, 0x15, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 0xA0, 0xC0, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 
	0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0x15, 0xC0, 
	0x95, 0x50, 0xF0, 0x45, 0xC0, 0x80, 0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 
	0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 0x45, 0xC0, 
	0x95, 0x00, 0x00, 0x6A, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0xC5, 0x00, 0x00, 
	0x00, 0x15, 0xCA, 0xC0, 0xC0, 0x95, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6A, 0xC0, 0x80, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 
	0xC5, 0x3F, 0x6F, 0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0xC5, 0x3F, 0x3F, 
	0xCF, 0xCA, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 0x8A, 0xF0, 0xF0, 0xA0, 0x6A, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0xCA, 0xC0, 0xC0, 
	0xC0, 0xCF, 0xCF, 0xCF, 0xCA, 0x2A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCA, 0xC0, 0x2A, 0xF0, 0xF0, 0xA0, 0x6A, 0xCF, 
	0xCF, 0xCF, 0x9F, 0x3F, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x05, 0xCF, 0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x50, 0x00, 0x00, 0x00, 0xA0, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0x2A, 0xF0, 0xF0, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x50, 0xF0, 0xA0, 0x00, 0xF0, 0x00, 
	0x00, 0x50, 0xA0, 0x3F, 0x3F, 0x3F, 0x6F, 0x2A, 0xA0, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0x9F, 0x50, 0xF0, 0xF0, 0xA0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x3F, 0x3E, 0x50, 0x15, 
	0xCF, 0x2A, 0x45, 0xCF, 0xCF, 0xCF, 0xCF, 0x2A, 0xA0, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x9F, 0x3F, 
	0x3F, 0x3F, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xB5, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xB4, 0x3F, 0xCF, 0xCF, 0xCF, 0xCF, 0x9F, 0x00, 0xCF, 0x9F, 0xF0, 0x45, 
	0xCF, 0x2A, 0x45, 0xCF, 0x3F, 0x3F, 0x3F, 0x50, 0x15, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x00, 0x00, 
	0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xCA, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0x15, 0xCF, 0x8A, 0xF0, 0x45, 
	0xCF, 0x00, 0x6F, 0x9F, 0x00, 0xF0, 0xF0, 0xF0, 0x45, 0xCF, 0xCF, 0xCF, 0x9F, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x05, 0x9F, 0x6F, 0xCF, 0x9F, 0x2A, 0x00, 0x15, 0xCF, 0x8A, 0xF0, 0x45, 
	0xCF, 0x00, 0x6F, 0x9E, 0x00, 0x00, 0x00, 0x50, 0x45, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x00, 0x6D, 0xCF, 0x2A, 0xF0, 0xF0, 0x45, 0xCF, 0x2A, 0xA0, 0x6F, 
	0x9F, 0x00, 0xCF, 0x9F, 0x3F, 0x6F, 0x8F, 0x00, 0x6F, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCF, 0x50, 0xF0, 0xF0, 0x6D, 0xCF, 0x2A, 0x3F, 0xCF, 
	0x9F, 0x00, 0xCE, 0xCF, 0xCF, 0xCF, 0x8A, 0xA0, 0xCE, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCE, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6F, 0xCF, 0x50, 0xF0, 0xA0, 0x6F, 0xCC, 0xCD, 0xCF, 0xCC, 
	0x8A, 0x15, 0xCC, 0x9F, 0x3F, 0x3F, 0x00, 0xA0, 0xCC, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCC, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6F, 0x9F, 0x50, 0xF0, 0xA0, 0xCE, 0xCD, 0xCF, 0xCF, 0xCC, 
	0x2A, 0x45, 0xCD, 0x28, 0x00, 0x50, 0xF0, 0x15, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCC, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCE, 0x9D, 0x50, 0xF0, 0xB4, 0xCC, 0x9D, 0x00, 0x3D, 0xCC, 
	0x2A, 0x6E, 0x9D, 0x50, 0xF0, 0xF0, 0xF0, 0x44, 0xCC, 0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6D, 0x9F, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCC, 0x8A, 0xF0, 0xF0, 0x15, 0xCC, 0x8A, 0xF0, 0x44, 0xCD, 
	0x00, 0xCE, 0x9C, 0x00, 0x00, 0x14, 0xA0, 0x6E, 0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x00, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCC, 0x2A, 0xF0, 0xF0, 0x45, 0xCC, 0x2A, 0xA0, 0x6E, 0x9D, 
	0x00, 0xCC, 0xCD, 0xCF, 0xCC, 0x8A, 0xA0, 0xCC, 0xCC, 0xCC, 0xCC, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6C, 0xCC, 0x2A, 0xF0, 0xA0, 0x6E, 0xCD, 0x50, 0xA0, 0xCC, 0x8A, 
	0x45, 0xCC, 0xCC, 0xCC, 0xCC, 0x50, 0xB4, 0x3F, 0x3F, 0x00, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 0xCD, 0x50, 0xF0, 0xA0, 0xCE, 0x9C, 0x50, 0x15, 0xCC, 0x2A, 
	0x6D, 0x3F, 0x3F, 0x2A, 0x00, 0x50, 0xA0, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCC, 0x9D, 0x50, 0xF0, 0x05, 0xCF, 0x2A, 0xF0, 0x28, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x14, 0x3F, 0x2A, 0xF0, 0xF0, 0x00, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0};


const unsigned char G_title2[3000] = { 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x3F, 0x3F, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0xCD, 0x3F, 0xCF, 0xCC, 0xCC, 0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0x2A, 0x00, 0x00, 0x15, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0x8A, 0xF0, 0xF0, 0xF0, 0x15, 0x3F, 0x3F, 0x3F, 0x50, 0xF0, 0x14, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0xF0, 0xA0, 0xA0, 0xA0, 0xF0, 0xF0, 0xF0, 0x15, 0x50, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x44, 0x2A, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0xA0, 0x00, 0x00, 0x00, 0x00, 0xA0, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6E, 0xCD, 0xCF, 
	0xCF, 0xCF, 0xCF, 0x9F, 0x00, 0xCF, 0x9F, 0x15, 0x9F, 0x00, 0x9F, 0x15, 0x50, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCE, 0xCC, 0xCC, 0xCC, 0x9F, 0x2A, 0x00, 0x00, 0x00, 0x00, 0x50, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCF, 0x00, 0x6F, 0xCF, 0x00, 0xCF, 0x2A, 0x6F, 0x00, 0x2A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x6D, 0xCC, 0xCD, 0xCD, 0xCD, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x3F, 0x50, 0xA0, 0xCF, 0xCD, 0xCD, 
	0xCD, 0xCD, 0xCD, 0xCD, 0x2A, 0x45, 0xCF, 0x2A, 0x6F, 0x8A, 0x45, 0x2A, 0x3F, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x15, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0x15, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0x8A, 0x15, 0xCF, 0x8A, 0x45, 0x8A, 0x15, 0x8A, 0x15, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xA0, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x3D, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0x9F, 0x00, 0xCF, 0x9F, 0x15, 0x9F, 0x00, 0x9F, 0x15, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x15, 0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x3E, 0xCF, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0xCF, 0x9F, 0x00, 0xCF, 0x00, 0x6F, 0x15, 0x7A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0x6F, 0xCF, 0xCF, 0xCF, 0x8A, 0x45, 0xCF, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x2A, 0x6F, 0xCF, 0x00, 0xCA, 0x2A, 0x6F, 0x00, 0x2A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6F, 0xCF, 0xCF, 0x8A, 0xA0, 0xCA, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCA, 0x2A, 0x45, 0xCA, 0x2A, 0x6A, 0x8A, 0x45, 0x2A, 0x2A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xC5, 0xCF, 0x95, 0xF0, 0x45, 0xC0, 
	0xCA, 0xC0, 0xC0, 0xC0, 0xC0, 0x8A, 0x45, 0xC0, 0x2A, 0x40, 0x80, 0x45, 0x8A, 0x3F, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x15, 0x3F, 0x3F, 0x3F, 0x50, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0x95, 0x50, 0xA0, 0x6A, 
	0xC0, 0xC5, 0xCF, 0xCF, 0xCF, 0x8A, 0x15, 0xCF, 0x8A, 0x15, 0x9F, 0xB5, 0x2A, 0x00, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x45, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0x15, 
	0x95, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA0, 0x00, 0x00, 0xA0, 0x00, 0xA0, 0x50, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xA0, 
	0x3F, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x8A, 0x00, 0x00, 0x00, 0x6A, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 
	0x05, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0xC0, 0xCF, 0xCF, 0xCF, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 
	0xA0, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xA0, 0x15, 0x6F, 0xC0, 0xCF, 0xCF, 0xCF, 0x9F, 0x3F, 0x2A, 0x50, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x3F, 0x3F, 0x3F, 0x2A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xA0, 0x00, 0x00, 0x15, 0x3F, 0x3F, 0x3F, 0x3F, 0x2A, 0xF0, 0xF0, 0xB5, 0x3F, 0xCF, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x15, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x3F, 0x50, 0xF0, 0xF0, 0xA0, 
	0x15, 0xCA, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xA0, 0x6F, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x50, 0xF0, 0xF0, 0xB5, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 
	0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0x40, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 
	0xF0, 0xA0, 0x6A, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0x6A, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xCA, 0xC0, 0xC0, 0xC0, 0x80, 0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0xC0, 
	0xC0, 0xC0, 0xC5, 0x9F, 0x3F, 0x2A, 0xF0, 0xF0, 
	0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xA0, 0xCA, 
	0xC0, 0xC0, 0x95, 0x00, 0x00, 0x00, 0x6A, 0xC0, 0xC0, 0x80, 0xF0, 0x15, 0x3F, 0x3F, 0x3F, 0xC0, 
	0xC0, 0xC0, 0x2A, 0x00, 0x00, 0x50, 0xF0, 0xF0, 
	0xF0, 0x45, 0xC0, 0xC0, 0xC0, 0x95, 0x3F, 0x3F, 0x3F, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xA0, 0xC0, 
	0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0x2A, 0xF0, 0xA0, 0xF0, 0xF0, 0xA0, 0xC0, 
	0xC0, 0xC0, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x40, 0xC0, 0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xB5, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xA0, 0xC0, 
	0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x15, 0x2A, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xC0, 
	0xC0, 0xC0, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x6A, 0xC0, 0xC0, 0xC0, 0x50, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xB5, 0xC0, 
	0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 
	0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0x6A, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0x15, 0xC0, 
	0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 
	0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xA0, 0x6A, 0xC0, 0xC0, 0x95, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 0xC0, 0xC0, 0x50, 0xF0, 0x45, 0xC0, 
	0xC0, 0xC0, 0x2A, 0xF0, 0x00, 0x00, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xC0, 
	0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xA0, 0xCA, 0xC0, 0xC0, 0x80, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0x40, 0xC0, 
	0xC0, 0xC0, 0x95, 0x3F, 0x3F, 0x3F, 0x3F, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xC0, 
	0xC0, 0x95, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xA0, 0xCA, 0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0x6A, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xC0, 
	0xC0, 0x95, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xA0, 0xCA, 0xC0, 0xC0, 0x2A, 0xF0, 0xF0, 0xF0, 0x40, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0x6A, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCF, 
	0xCF, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xB5, 0xC0, 0xC0, 0xC0, 0x7A, 0xF0, 0xF0, 0xF0, 0x6A, 0xC0, 0xC0, 0x95, 0x50, 0xF0, 0x6A, 0xC0, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC5, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6F, 0xCF, 
	0xCF, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x15, 0xC0, 0xC0, 0xC5, 0x50, 0xA0, 0x00, 0x00, 0x6A, 0xC0, 0xC0, 0x95, 0xF0, 0xF0, 0x15, 0xCF, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x7A, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6F, 0xCF, 
	0xCF, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x15, 0xC0, 0xC0, 0xC5, 0x3F, 0x3F, 0x3F, 0x6F, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 0xF0, 0xA0, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x15, 0xCF, 0xCF, 0xCF, 0x7A, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCF, 0xCF, 
	0xCF, 0x7A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x6D, 0xC5, 0xCF, 0xCF, 0xCA, 0xC0, 0xC0, 0xC5, 0xCF, 0xCF, 0xCF, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCF, 0xCF, 
	0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x6D, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xB5, 0xCF, 0xCF, 
	0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x6F, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x7A, 0xF0, 0x00, 0x00, 0x00, 
	0x2A, 0xF0, 0xF0, 0xF0, 0xA0, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0x15, 0xCE, 0xCC, 
	0x9F, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x50, 0xF0, 0x45, 0xCF, 0xCF, 
	0x8A, 0xF0, 0xF0, 0xF0, 0x15, 0xCE, 0xCC, 0x9F, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x45, 0xCC, 0xCC, 
	0x9D, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x9F, 0x6F, 0xCF, 0xCF, 0xCF, 0x50, 0xA0, 0x6F, 0xCF, 0xCF, 
	0x8A, 0xF0, 0xF0, 0xA0, 0x6F, 0xCC, 0xCC, 0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x6E, 0xCC, 0xCC, 
	0x8A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCF, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x00, 0x6D, 0xCD, 0xCC, 0x9F, 0x50, 0xA0, 0xCE, 0xCC, 0xCC, 
	0x9F, 0x00, 0x15, 0x6F, 0xCC, 0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 
	0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCF, 0xCE, 0xCF, 0x2A, 0xF0, 0xF0, 0xF0, 0x6E, 0xCC, 0xCC, 0x8A, 0xF0, 0xB5, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCE, 0xCC, 0xCC, 
	0x7A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCD, 0xCC, 0xCC, 0x7A, 0xF0, 0xF0, 0xA0, 0x6E, 0xCC, 0xCC, 0x8A, 0xF0, 0x15, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xA0, 0xCC, 0xCC, 0xCD, 
	0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xF0, 0xA0, 0xCE, 0xCC, 0xCC, 0x2A, 0xF0, 0x15, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x00, 0x3F, 0x00, 0x00, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0x9D, 0x50, 0xF0, 0xF0, 0xB5, 0xCC, 0xCC, 0xCC, 0x50, 0xF0, 0xA0, 0xCE, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCD, 0x2A, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0x88, 0xF0, 0xF0, 0xF0, 0x45, 0xCC, 0xCC, 0xCD, 0x50, 0xF0, 0xA0, 0x15, 0xCF, 0xCF, 
	0x9F, 0x3F, 0x2A, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0x2A, 0xF0, 0xF0, 0xF0, 0x44, 0xCC, 0xCC, 0x9D, 0xF0, 0xF0, 0xF0, 0xA0, 0x00, 0x00, 
	0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xCC, 0xCC, 0x50, 0xF0, 0xF0, 0xF0, 0x3D, 0x2A, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x3F, 0x2A, 0x50, 0xF0, 0xF0, 0xF0, 0x50, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
	0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0};

#define NUMMSGS  10


static const u8* const messages[NUMMSGS] = { 
      "      Jugar",
      "",
      "      Controles",
      "",
      "      Creditos",
      "",
      "      Salir",
      "",
      "",
      "    Pulsa Espacio   "
};

const u8* const selection[4] = {
	SCENE_GAME,
	SCENE_CONTROLS,
	SCENE_CREDITS,
	SCENE_EXIT
};

/*
 * selected == 0 borra y deselecciona la opción indicada.
 * selected == 1 selecciona opción y pinta pistola.
 */
void updateImage(u8 option, u8 selected)
{
	u8 y = (option * 2) * 10 + 80;
	u8* pvideo = cpct_getScreenPtr(SCR_VMEM, SCREEN_WIDTH / 2, y);
	// Color 3 if selected, 1 if no.
	cpct_drawStringM0(messages[option * 2], pvideo, selected * 2 + 1, 5);
	pvideo = cpct_getScreenPtr(SCR_VMEM, (SCREEN_WIDTH / 2) + 20, y);

	if (selected)
	{
	    cpct_drawSprite(g_gun, pvideo, 4, 8);
	}
    else
    {
		cpct_drawSolidBox(pvideo, 0xF0, 4, 8);
    }
}

u8 sceneMenu()
{
	u8* pvideo;
	u8 select = 0;	
 	u8 i;

	cpct_setBorder(HW_BLACK);
   	cpct_clearScreen(0xF0);

   	// Print all the messages 
   	for (i = 0; i < NUMMSGS; ++i)
   	{
        pvideo = cpct_getScreenPtr(SCR_VMEM, SCREEN_WIDTH/2, i * 10 + 80);
        cpct_drawStringM0(messages[i], pvideo, 1, 5);
   	}


   	//Print Tittle
   	pvideo=cpct_getScreenPtr(SCR_VMEM,0, 0);
   	cpct_drawSprite(G_title1,pvideo,40,75);
   	pvideo=cpct_getScreenPtr(SCR_VMEM,40, 0);
   	cpct_drawSprite(G_title2,pvideo,40,75);


	updateImage(select, 1);  

   	// Update loop.
   	while (1)
	{
		cpct_waitVSYNC();

		releaseAndPushKey();

		if (cpct_isKeyPressed(Key_Space))
		{
			break;
		}

		if (cpct_isKeyPressed(Key_CursorUp) ||
			cpct_isKeyPressed(Key_CursorDown))
		{
			updateImage(select, 0);
			select += cpct_isKeyPressed(Key_CursorUp) ? -1 : 1;
			select %= 4;
			updateImage(select, 1);
		}
	}

	return selection[select];
}
