
//  "Ántrax CPC Game": An Amstrad CPC Game
//  Copyright (C) 2015  Ántrax CPC Team
//
//  This file is part of "Ántrax CPC Game".
//
//  "Ántrax CPC Game" is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  "Ántrax CPC Game" is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef _UTILS_H_
#define _UTILS_H_


// COLORS
#define HW_BLACK 0x14
#define HW_RED 0x1C
#define HW_GREEN 0x16

// Amstrad CPC video mode.
#define VIDEO_MODE 0
#define PIXELS_PER_BYTE 2

// DIMENSIONS (related to video mode)
#define SCREEN_WIDTH 160
#define SCREEN_HEIGHT 200

// Video memory position
#define SCR_VMEM  (u8*) 0xC000

// Orientation constants.
#define DOWN  0
#define LEFT  1
#define UP    2
#define RIGHT 3

// Numeric constants.
#define INFINITE_U8 222


u8 collision(i16 x, i16 y);
u8 collisionH(i16 x, i16 y);
u16 manhattan(i16 x1, i16 y1, i16 x2, i16 y2);
u8 manhattanY(u8 x1, u8 y1, u8 x2, u8 y2);
u8 manhattanX(u8 x1, u8 y1, u8 x2, u8 y2);
u8 manhattanXY(u8 x1, u8 y1, u8 x2, u8 y2);
void releaseAndPushKey();


#endif
